import dynamic from "next/dynamic";

export default function Doc({ params }) {
  const PrivatyPolicy = dynamic(() => import("./PrivatyPolicy"));
  const UserAgreement = dynamic(() => import("./UserAgreement"));
  const WithDrawalAgreement = dynamic(() => import("./WithDrawalAgreement"));
  const PlatformGuidelines = dynamic(() => import("./PlatformGuidelines"));
  const RechargeAgreement = dynamic(() => import("./RechargeAgreement"));
  const IosHowToInstall = dynamic(() => import("./IosHowToInstall"));
  switch (params.title) {
    case "privatypolicy":
      return <PrivatyPolicy />;
    case "useragreement":
      return <UserAgreement />;
    case "withdrawalagreement":
      return <WithDrawalAgreement />;
    case "platformguidelines":
      return <PlatformGuidelines />;
    case "rechargeagreement":
      return <RechargeAgreement />;
    case "ioshowtoinstall":
      return <IosHowToInstall />;
    default:
      return <p>空页面</p>;
  }
}
