import "./globals.css";
import Image from "next/image";
import beian from "@/public/images/beian.png";

export const metadata = {
  title: "铁粉空间APP",
  description: "与Ta永不失联",
  keywords: ["社交", "网红", "粉丝", "创作者", "变现", "平台", "铁粉", "空间"],
};

export const viewport = {
  width: "device-width",
  initialScale: 1,
  maximumScale: 1,
  userScalable: 0,
};

export default function RootLayout({ children }) {
  return (
    <html
      lang="zh-CN"
      className="bg-[#07050A]"
      data-prefers-color-scheme="dark"
    >
      <body className="box-border min-h-screen flex flex-col">
        <div className="flex flex-1 justify-center">{children}</div>
        <footer className="w-full px-4 py-4 z-10">
          <div className="flex flex-row flex-wrap justify-center items-center">
            <a
              target="_blank"
              href="http://beian.miit.gov.cn"
              className="text-xs text-secondary"
            >
              蜀ICP备2023025827号-2
            </a>
            <span className="text-xs text-secondary">
              &nbsp;&nbsp;｜&nbsp;&nbsp;
            </span>
            <a
              target="_blank"
              href="https://beian.mps.gov.cn/#/query/webSearch?code=51015602000741"
              className="text-xs text-secondary"
            >
              <span>川公网安备51015602000741&nbsp;&nbsp;</span>
              <Image src={beian} alt="beian" className="w-4" />
            </a>
            <span className="text-xs text-secondary">
              &nbsp;&nbsp;｜&nbsp;&nbsp;
            </span>
            <a className="text-xs text-secondary">
              Copyright © 2023-2024 成都心意到了科技有限公司
            </a>
          </div>
        </footer>
      </body>
    </html>
  );
}
