"use client";

import React from "react";
import { useRouter } from "next/navigation";

export default function Success() {
  const router = useRouter();
  return (
    <section className="container flex flex-col flex-1 p-4 items-center">
      <svg className="mt-32" viewBox="0 0 1024 1024" width="120" height="120">
        <path
          d="M512 512m-448 0a448 448 0 1 0 896 0 448 448 0 1 0-896 0Z"
          fill="#07C160"
        ></path>
        <path
          d="M466.7 679.8c-8.5 0-16.6-3.4-22.6-9.4l-181-181.1c-12.5-12.5-12.5-32.8 0-45.3s32.8-12.5 45.3 0l158.4 158.5 249-249c12.5-12.5 32.8-12.5 45.3 0s12.5 32.8 0 45.3L489.3 670.4c-6 6-14.1 9.4-22.6 9.4z"
          fill="#FFFFFF"
        ></path>
      </svg>
      <p className="text-center text-white text-base font-medium mx-4 mt-4">
        已为您提交提现申请，提现款项将在24内到账，若未及时到账请联系客服处理。
      </p>
      <button
        onClick={() => router.push("/withdrawal")}
        className="btn btn-md btn-outline text-white rounded-full w-full mt-12"
      >
        继续提现
      </button>
    </section>
  );
}
